#!/bin/sh 
echo Content-type: text/html 
echo ""
/bin/cat << EOM0
<html>
<head><title>Larmlogg</title>
<meta http_equiv="refresh" content="300"></meta>
</head>
EOM0
if [ $REMOTE_USER == 'admin' ]; then
DISABLE=''
else
DISABLE='DISABLED'
fi
eval `/bin/cat /var/sqlite/mailargs | /opt/bin/gawk 'BEGIN{FS=":"} {printf "QS_MAILALM=%s;QS_SMTP=%s;QS_ADR1=%s;QS_ADR2=%s;QS_FROM=%s;QS_SUBJ=%s;",$1,$2,$3,$4,$5,$6}' `
    if [ $QUERY_STRING ]; then
	if [ $REMOTE_USER == 'admin' ]; then
	QS_MAILALM=''
	eval `echo $QUERY_STRING | /bin/sed -e 's/'"'"'/%27/g ; s/%40/@/g' | \
	      /opt/bin/gawk 'BEGIN{RS="&";FS="="}
		$1~/^[a-zA-Z][a-zA-Z0-9_]*$/ {
			printf "QS_%s=%c%s%c\n",$1,39,$2,39}' `

		echo $QS_MAILALM:$QS_SMTP:$QS_ADR1:$QS_ADR2:$QS_FROM:$QS_SUBJ > /var/sqlite/mailargs
		if [ $QS_ERASE ]; then
		/opt/bin/sqlite3 /var/sqlite/hpdb 'delete from alarmlog; insert into alarmlog values (strftime("%s","now"),0,0);'
		fi
		if [ $QS_TEST ]; then
		/usr/sbin/alarm_handler 127 127
		fi
	else
	echo '<script type="text/javascript">alert("Changes only allowed for admin users!")</script>'
	fi
    fi
/bin/cat << EOM
<body>
<p>
</p>
<A href=index.cgi>versikt driftstatus<A/>&nbsp &nbsp<A href="rawdata.cgi">Rdata</A>&nbsp &nbsp<A href="aggr_hour.cgi">Timvis aggregerade data</A>&nbsp &nbsp<A href="aggr_day.cgi">Dygnsvis aggregerade data</A>
&nbsp&nbsp<A href="hp_status.cgi">Registerdump</A>
&nbsp Larmlogg &nbsp
<FORM $DISABLE METHOD="GET" NAME="Grafer" ACTION="larmlogg.cgi">
<TABLE>
<TR>
<TD><INPUT NAME="MAILALM" VALUE="checked" TYPE="CHECKBOX" $QS_MAILALM>Larma via e-mail</TD>
<TD></TD><TD ALIGN="RIGHT">SMTP-server: </TD>
<TD><INPUT NAME="SMTP" VALUE="$QS_SMTP" TYPE="TEXT" SIZE="25"></TR>
<TR>
<TD ALIGN="RIGHT">Mailadress1: </TD>
<TD WIDTH="200"><INPUT NAME="ADR1"  VALUE="$QS_ADR1" TYPE="TEXT" SIZE="25"></TD>
<TD ALIGN="RIGHT">Avsndare: </TD>
<TD><INPUT NAME="FROM" VALUE="$QS_FROM" TYPE="TEXT" SIZE="25"></TD>
</TR>
<TR>
<TD ALIGN="RIGHT">Mailadress2: </TD>
<TD><INPUT NAME="ADR2" VALUE="$QS_ADR2" TYPE="TEXT" SIZE="25"></TD>
<TD ALIGN="RIGHT">rende: </TD>
<TD><INPUT NAME="SUBJ" VALUE="$QS_SUBJ" TYPE="TEXT" SIZE="25"></TD>
</TR>
</TABLE>
<TABLE>
<TR>
<TD WIDTH="120"><INPUT STYLE="WIDTH:100" NAME="ERASE" TYPE="SUBMIT" VALUE="Radera loggen"></TD>
<TD WIDTH="120"><INPUT STYLE="WIDTH:100" NAME="OK" TYPE="SUBMIT" VALUE="Uppdatera"></TD>
<TD WIDTH="120"><INPUT STYLE="WIDTH:100" NAME="CANCEL" TYPE="RESET" VALUE="Avbryt"></TD>
<TD WIDTH="120"><INPUT STYLE="WIDTH:100" NAME="TEST" TYPE="SUBMIT" VALUE="Larmtest"></TD>
</TR>
</TABLE>
</FORM>
<HR>
<TABLE>
EOM
/bin/cat << EOM2 | /opt/bin/sqlite3 /var/sqlite/hpdb | /opt/bin/gawk 'BEGIN {FS="|"}{printf "<TR><TD>%s</TD><TD>%s</TD></TR>\n",$1,$2}'; 
.timeout 9000
ATTACH '/mnt/ramdisk/hptempdb' as hptempdb;
select datetime(tid,'unixepoch','localtime'),'Loggning startade' from alarmlog where (alm1=0  and alm2=0);
select datetime(tid,'unixepoch','localtime'),regcaption from regdata,alarmlog where ((regnum=19) and ((alm1 & (1 << (regbit-1)))!=0)) or ((regnum=20) and ((alm2 & (1 << (regbit-1)))!=0)); 
.exit
EOM2

/bin/cat << EOM3
</TABLE>
<HR>
</body>
</html>
EOM3
