#!/bin/sh 
echo Content-type: text/html 
echo ""
eval `/opt/bin/sqlite3 /mnt/ramdisk/hptempdb 'SELECT * FROM GRAPHSAVE WHERE GRAPH_NO=1;' | \
/opt/bin/gawk 'BEGIN {FS="|"} {printf "QS_blue=%s\nQS_green=%s\nQS_red=%s\nQS_cyan=%s\nQS_magenta=%s\nQS_yellow=%s\nQS_black=%s\n",$2,$3,$4,$5,$6,$7,$8}'`

QS_DAG=`date +%F`
    if [ $QUERY_STRING ]; then

	eval `echo $QUERY_STRING | /bin/sed -e 's/'"'"'/%27/g' | \
	      /opt/bin/gawk 'BEGIN{RS="&";FS="="}
		$1~/^[a-zA-Z][a-zA-Z0-9_]*$/ {
			printf "QS_%s=%c%s%c\n",$1,39,$2,39}' `
else
QS_zoom='0'
fi
if [ ! `date -d $QS_DAG +%F 2> /dev/null` ]; then QS_DAG=`date +%F`
fi
CHANGE='+0'
if [ $QS_CHANGE ]; then
  case $QS_CHANGE in
    '-1') CHANGE='-1';;
    '%2B1') CHANGE='+1';;
    '-7') CHANGE='-7';;
    '%2B7') CHANGE='+7';;
    '-28') CHANGE='-28';;
    '%2B28') CHANGE='+28';;
  esac
fi
QS_DAG=`date -d "$QS_DAG $CHANGE days" +%F`
echo "REPLACE INTO GRAPHSAVE VALUES (1,$QS_blue,$QS_green,$QS_red,$QS_cyan,$QS_magenta,$QS_yellow,$QS_black);" | \
/opt/bin/sqlite3 /mnt/ramdisk/hptempdb
dbstr=`/opt/bin/sqlite3 /mnt/ramdisk/hptempdb 'select regname from regdata where rawstored=1;'`
srchstr=`echo $QS_blue $QS_green $QS_red $QS_cyan $QS_magenta $QS_yellow $QS_black $dbstr \
| /opt/bin/gawk '{for(i=1;i<8;i++) {if($(i)==0) {printf ",NULL"} else {printf ",%s",$(7+$(i))}}}'` 
/bin/cat << EOM3
<html>
<head><title>Rdata</title>
<meta http-equiv="refresh" content="300"></meta>
</head>
<body>
<SCRIPT TYPE="text/javascript">
EOM3
/opt/bin/sqlite3 /mnt/ramdisk/hptempdb 'select regcaption from regdata where rawstored=1;' | \
/opt/bin/gawk 'BEGIN {printf "var hpvar = new Array(\"Inget\""} \
{printf ",\"%s\"",$0 } END {print ");"}'
/opt/bin/sqlite3 /mnt/ramdisk/hptempdb 'select regcaption,unit from regdata where rawstored=1;' | \
/opt/bin/gawk 'BEGIN {FS="|" ; printf "var hpleg = new Array(\"\""} \
{printf ",\"%s (%s)\"",$1,$2 } END {print ");"}' 
/bin/cat << EOM4
function init_opt() {
  for (i=0;i<hpvar.length;i++) {
    Grafer.blue.options[i] = new Option(hpvar[i], i);
    Grafer.green.options[i] = new Option(hpvar[i], i);
    Grafer.red.options[i] = new Option(hpvar[i], i);
    Grafer.cyan.options[i] = new Option(hpvar[i], i);
    Grafer.magenta.options[i] = new Option(hpvar[i], i);
    Grafer.yellow.options[i] = new Option(hpvar[i], i);
    Grafer.black.options[i] = new Option(hpvar[i], i);
  }
Grafer.zoom.options[0] = new Option('100%',0);
Grafer.zoom.options[1] = new Option('200%',1);
Grafer.zoom.options[2] = new Option('300%',2);
Grafer.zoom.options[3] = new Option('400%',3);
Grafer.blue.selectedIndex=$QS_blue
Grafer.green.selectedIndex=$QS_green
Grafer.red.selectedIndex=$QS_red
Grafer.cyan.selectedIndex=$QS_cyan
Grafer.magenta.selectedIndex=$QS_magenta
Grafer.yellow.selectedIndex=$QS_yellow
Grafer.black.selectedIndex=$QS_black
Grafer.zoom.selectedIndex=$QS_zoom
}
function convert (indata)
{
var re = /%/g;
var rp = /,/g;
var tmpdata;
tmpdata=indata.replace(re, "%25");
return tmpdata.replace(rp, ' -');
}
</SCRIPT>
<A href=index.cgi>versikt driftstatus<A/>&nbsp Rdata &nbsp<A href="aggr_hour.cgi">Timvis aggregerade data</A>&nbsp &nbsp<A href="aggr_day.cgi">Dygnsvis aggregerade data</A>
&nbsp&nbsp<A href="hp_status.cgi">Registerdump</A>
&nbsp &nbsp<A href="larmlogg.cgi">Larmlogg</A> &nbsp &nbsp
<FORM METHOD="GET" NAME="Grafer" ACTION="rawdata.cgi">
<INPUT NAME="CHANGE" VALUE="-28" TYPE="SUBMIT">
<INPUT NAME="CHANGE" VALUE="-7" TYPE="SUBMIT">
<INPUT NAME="CHANGE" VALUE="-1" TYPE="SUBMIT">
<INPUT NAME="DAG" TYPE="TEXT" SIZE="14" VALUE="$QS_DAG">
<INPUT NAME="CHANGE" VALUE="+1" TYPE="SUBMIT">
<INPUT NAME="CHANGE" VALUE="+7" TYPE="SUBMIT">
<INPUT NAME="CHANGE" VALUE="+28" TYPE="SUBMIT">&nbsp &nbsp
Zoom:
<SELECT NAME="zoom">
</SELECT>
&nbsp &nbsp
<INPUT NAME="OK" VALUE="Uppdatera" TYPE="SUBMIT">
<TABLE>
<TR>
<TD BGCOLOR="#0000FF" HEIGHT="10"></TD>
<TD BGCOLOR="#00FF00"></TD>
<TD BGCOLOR="#FF0000"></TD>
<TD BGCOLOR="#00FFFF"></TD>
<TD BGCOLOR="#FF00FF"></TD>
<TD BGCOLOR="#FDD017"></TD>
<TD BGCOLOR="#000000"></TD>
</TR>
<TR>
<TD><SELECT NAME="blue"> 
</SELECT></TD>
<TD><SELECT NAME="green">
</SELECT></TD>
<TD><SELECT NAME="red"> 
</SELECT></TD>
<TD><SELECT NAME="cyan">
</SELECT></TD>
<TD><SELECT NAME="magenta">
</SELECT></TD>
<TD><SELECT NAME="yellow">
</SELECT></TD>
<TD><SELECT NAME="black">
</SELECT></TD>
</TR>
</TABLE>
</FORM>
<div id="129677184648d3d8de816a86.15021173"></div>
<script type="text/javascript">init_opt();</script>
<script type="text/javascript" src="../swfobject.js"></script>
<script type="text/javascript">
var so = new SWFObject("../open-flash-chart.swf", "ofc", Grafer.zoom.options[Grafer.zoom.selectedIndex].text, "80%", "9", "#FFFFFF");
so.addVariable("variables","true");
so.addVariable("title","Rdata,{font-size: 18px; color: #000000;}");
so.addVariable("x_legend","Tid,12,#000000");
so.addVariable("x_label_style","10,#000000,1,60");
so.addVariable("x_axis_steps","60");
so.addVariable("y_label_style","10,#000000");
so.addVariable("y_ticks","5,10,6");
so.addVariable("y_min","-20");
so.addVariable("y_max","100");
so.addVariable("x_axis_colour","#000000");
so.addVariable("x_grid_colour","#000000");
so.addVariable("y_axis_colour","#000000");
so.addVariable("y_grid_colour","#000000");
so.addVariable("line","2,#0000FF,"+convert(hpleg[$QS_blue])+",12");
so.addVariable("line_2","2,#00FF00,"+convert(hpleg[$QS_green])+",12");
so.addVariable("line_3","2,#FF0000,"+convert(hpleg[$QS_red])+",12");
so.addVariable("line_4","2,#00FFFF,"+convert(hpleg[$QS_cyan])+",12");
so.addVariable("line_5","2,#FF00FF,"+convert(hpleg[$QS_magenta])+",12");
so.addVariable("line_6","2,#FDD017,"+convert(hpleg[$QS_yellow])+",12");
so.addVariable("line_7","2,#000000,"+convert(hpleg[$QS_black])+",12");
EOM4
/opt/bin/sqlite3 -noheader -separator ':' /var/sqlite/hpdb "select TID$srchstr from rawstore where (tid >= strftime(\"%s\",\"$QS_DAG\",\"start of day\",\"utc\") AND tid < strftime(\"%s\",\"$QS_DAG\",\"start of day\",\"+1 day\",\"utc\"));" | \
/opt/bin/gawk ' BEGIN {FS=":"} ; {tiden[NR]=$1 ; blue[NR]=$2 ; green[NR]=$3 ; red[NR]=$4 ; cyan[NR]=$5 ; magenta[NR]=$6 ; yellow[NR]=$7 ; black[NR]=$8} ;
END {printf "so.addVariable(\"x_labels\",\"" ;
    for (i=1;i<=NR;i++) {
      if (i!=1) printf "," ;
    printf "%s",strftime("%y%m%d %H%M",tiden[i])} ;
  printf "\");%c%cso.addVariable(\"values\",\"",13,10 ;
    for (i=1;i<=NR;i++) {
      if (i!=1) printf "," ;
    printf "%s",blue[i]} ;
  printf "\");%c%cso.addVariable(\"values_2\",\"",13,10 ;
    for (i=1;i<=NR;i++) {
      if (i!=1) printf "," ;
    printf "%s",green[i]} ;
  printf "\");%c%cso.addVariable(\"values_3\",\"",13,10 ;
    for (i=1;i<=NR;i++) {
      if (i!=1) printf "," ;
    printf "%s",red[i]} ;
  printf "\");%c%cso.addVariable(\"values_4\",\"",13,10 ;
    for (i=1;i<=NR;i++) {
      if (i!=1) printf "," ;
    printf "%s",cyan[i]} ;
  printf "\");%c%cso.addVariable(\"values_5\",\"",13,10 ;
    for (i=1;i<=NR;i++) {
      if (i!=1) printf "," ;
    printf "%s",magenta[i]} ;
  printf "\");%c%cso.addVariable(\"values_6\",\"",13,10 ;
    for (i=1;i<=NR;i++) {
      if (i!=1) printf "," ;
    printf "%s",yellow[i]} ;
  printf "\");%c%cso.addVariable(\"values_7\",\"",13,10 ;
    for (i=1;i<=NR;i++) {
      if (i!=1) printf "," ;
    printf "%s",black[i]} ;
  print "\");" }';
/bin/cat << EOM
so.write("129677184648d3d8de816a86.15021173");
</script>
</body>
</html>
EOM
